local coroutineEntity = monocle.Entity()

function onTalk(room)
  disableMovement()
  coroutine.yield(getLevel():ZoomTo(vector2(160, 90), 1.3, 4))
  say("crystalTalkSolaris2")
  player.ForceCameraUpdate = false
  player.ForceCameraUpdate = true
  setFlag("DonkLuxCrystal_ManLuna", True)
  playSound("event:/Donk_SolarisBDay/StarGet", player.Position)
  wait(0.5)
  say("FallenStarGet")
  coroutine.yield(engine.Scene:ZoomBack(2))
end

function onEnd(room, wasSkipped)
  player.ForceCameraUpdate = true
  getLevel():ResetZoom()
  enableMovement()
end